org.springframework.jms.annotation

## Interface JmsListenerConfigurer

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface JmsListenerConfigurer

Optional interface to be implemented by a Spring managed bean willing to customize how JMS listener endpoints are configured. Typically used to define the default `JmsListenerContainerFactory` to use or for registering JMS endpoints in a programmatic fashion as opposed to the declarative approach of using the @`JmsListener` annotation.

See @`EnableJms` for detailed usage examples.

Since:
  4.1
Author:
  Stephane Nicoll
See Also:
  `EnableJms`, `JmsListenerEndpointRegistrar`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `configureJmsListeners(JmsListenerEndpointRegistrar registrar)` Callback allowing a `JmsListenerEndpointRegistry` and specific `JmsListenerEndpoint` instances to be registered against the given `JmsListenerEndpointRegistrar`.

### Method Detail

#### configureJmsListeners

    void configureJmsListeners(JmsListenerEndpointRegistrar registrar)

Callback allowing a `JmsListenerEndpointRegistry` and specific `JmsListenerEndpoint` instances to be registered against the given `JmsListenerEndpointRegistrar`. The default `JmsListenerContainerFactory` can also be customized.

Parameters:
  `registrar` - the registrar to be configured